package jp.ac.kyutech.mns.ist;

import java.awt.geom.Rectangle2D;

import edu.umd.cs.piccolo.activities.PActivity;
import edu.umd.cs.piccolo.util.PBounds;

public interface LayoutContent {
	public PBounds getFullBounds();
	public PActivity animateToPositionScaleRotation(double x, double y, double z, double m, long msec);
	public Rectangle2D mysize();
	public boolean hasContent();
	public int drawingAmount();
	public double teineiLevel();
	public void focus();
}
